com.smartgwt.client.util

## Class ConvertTo

- java.lang.Object
- - com.smartgwt.client.util.ConvertTo

-     public final class ConvertTo
      extends java.lang.Object

  This object contains all of the methods for converting from a JavaScriptObject to an array of specific SmartGWT class types.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ActiveXControl[]` | `arrayOfActiveXControl(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `ActiveXControl` objects.
    `static AdvancedCriteria[]` | `arrayOfAdvancedCriteria(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `AdvancedCriteria` objects.
    `static AdvancedHiliteEditor[]` | `arrayOfAdvancedHiliteEditor(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `AdvancedHiliteEditor` objects.
    `static Alignment[]` | `arrayOfAlignment(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `Alignment` objects.
    `static AnimationAcceleration[]` | `arrayOfAnimationAcceleration(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `AnimationAcceleration` objects.
    `static AnimationEffect[]` | `arrayOfAnimationEffect(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `AnimationEffect` objects.
    `static Applet[]` | `arrayOfApplet(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `Applet` objects.
    `static ArrowStyle[]` | `arrayOfArrowStyle(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `ArrowStyle` objects.
    `static Autofit[]` | `arrayOfAutofit(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `Autofit` objects.
    `static AutoFitEvent[]` | `arrayOfAutoFitEvent(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `AutoFitEvent` objects.
    `static AutoFitIconFieldType[]` | `arrayOfAutoFitIconFieldType(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `AutoFitIconFieldType` objects.
    `static AutoFitTextAreaItem[]` | `arrayOfAutoFitTextAreaItem(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `AutoFitTextAreaItem` objects.
    `static AutoFitWidthApproach[]` | `arrayOfAutoFitWidthApproach(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `AutoFitWidthApproach` objects.
    `static AutoSelectionModel[]` | `arrayOfAutoSelectionModel(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `AutoSelectionModel` objects.
    `static Axis[]` | `arrayOfAxis(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `Axis` objects.
    `static BackgroundRepeat[]` | `arrayOfBackgroundRepeat(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `BackgroundRepeat` objects.
    `static BatchUploader[]` | `arrayOfBatchUploader(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `BatchUploader` objects.
    `static BlurbItem[]` | `arrayOfBlurbItem(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `BlurbItem` objects.
    `static BooleanItem[]` | `arrayOfBooleanItem(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `BooleanItem` objects.
    `static BrowserPlugin[]` | `arrayOfBrowserPlugin(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `BrowserPlugin` objects.
    `static Button[]` | `arrayOfButton(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `Button` objects.
    `static ButtonItem[]` | `arrayOfButtonItem(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `ButtonItem` objects.
    `static Calendar[]` | `arrayOfCalendar(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `Calendar` objects.
    `static CalendarEvent[]` | `arrayOfCalendarEvent(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `CalendarEvent` objects.
    `static Canvas[]` | `arrayOfCanvas(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `Canvas` objects.
    `static CanvasItem[]` | `arrayOfCanvasItem(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `CanvasItem` objects.
    `static CellRecord[]` | `arrayOfCellRecord(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `CellRecord` objects.
    `static CellSelection[]` | `arrayOfCellSelection(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `CellSelection` objects.
    `static CharacterCasing[]` | `arrayOfCharacterCasing(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `CharacterCasing` objects.
    `static ChartType[]` | `arrayOfChartType(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `ChartType` objects.
    `static CheckboxItem[]` | `arrayOfCheckboxItem(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `CheckboxItem` objects.
    `static ClickMaskMode[]` | `arrayOfClickMaskMode(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `ClickMaskMode` objects.
    `static ColorItem[]` | `arrayOfColorItem(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `ColorItem` objects.
    `static ColorPicker[]` | `arrayOfColorPicker(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `ColorPicker` objects.
    `static ColorPickerItem[]` | `arrayOfColorPickerItem(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `ColorPickerItem` objects.
    `static ColorStop[]` | `arrayOfColorStop(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `ColorStop` objects.
    `static ColumnTree[]` | `arrayOfColumnTree(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `ColumnTree` objects.
    `static ComboBoxItem[]` | `arrayOfComboBoxItem(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `ComboBoxItem` objects.
    `static ControlName[]` | `arrayOfControlName(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `ControlName` objects.
    `static Criteria[]` | `arrayOfCriteria(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `Criteria` objects.
    `static CriteriaCombineOperator[]` | `arrayOfCriteriaCombineOperator(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `CriteriaCombineOperator` objects.
    `static CriteriaPolicy[]` | `arrayOfCriteriaPolicy(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `CriteriaPolicy` objects.
    `static Criterion[]` | `arrayOfCriterion(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `Criterion` objects.
    `static CubeGrid[]` | `arrayOfCubeGrid(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `CubeGrid` objects.
    `static Cursor[]` | `arrayOfCursor(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `Cursor` objects.
    `static DataLineType[]` | `arrayOfDataLineType(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `DataLineType` objects.
    `static DataSource[]` | `arrayOfDataSource(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `DataSource` objects.
    `static DataSourceField[]` | `arrayOfDataSourceField(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `DataSourceField` objects.
    `static java.util.Date[]` | `arrayOfDate(com.google.gwt.core.client.JavaScriptObject array)`
    `static DateChooser[]` | `arrayOfDateChooser(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `DateChooser` objects.
    `static DateDisplayFormat[]` | `arrayOfDateDisplayFormat(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `DateDisplayFormat` objects.
    `static DateEditingStyle[]` | `arrayOfDateEditingStyle(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `DateEditingStyle` objects.
    `static DateGrid[]` | `arrayOfDateGrid(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `DateGrid` objects.
    `static DateItem[]` | `arrayOfDateItem(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `DateItem` objects.
    `static DateItemSelectorFormat[]` | `arrayOfDateItemSelectorFormat(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `DateItemSelectorFormat` objects.
    `static DateRangeDialog[]` | `arrayOfDateRangeDialog(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `DateRangeDialog` objects.
    `static DateRangeItem[]` | `arrayOfDateRangeItem(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `DateRangeItem` objects.
    `static DateTimeItem[]` | `arrayOfDateTimeItem(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `DateTimeItem` objects.
    `static DecisionGateway[]` | `arrayOfDecisionGateway(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `DecisionGateway` objects.
    `static DetailViewer[]` | `arrayOfDetailViewer(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `DetailViewer` objects.
    `static DetailViewerField[]` | `arrayOfDetailViewerField(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `DetailViewerField` objects.
    `static DetailViewerRecord[]` | `arrayOfDetailViewerRecord(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `DetailViewerRecord` objects.
    `static Dialog[]` | `arrayOfDialog(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `Dialog` objects.
    `static DialogButtons[]` | `arrayOfDialogButtons(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `DialogButtons` objects.
    `static Direction[]` | `arrayOfDirection(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `Direction` objects.
    `static DisplayNodeType[]` | `arrayOfDisplayNodeType(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `DisplayNodeType` objects.
    `static DoubleItem[]` | `arrayOfDoubleItem(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `DoubleItem` objects.
    `static DragAppearance[]` | `arrayOfDragAppearance(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `DragAppearance` objects.
    `static DragDataAction[]` | `arrayOfDragDataAction(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `DragDataAction` objects.
    `static DragIntersectStyle[]` | `arrayOfDragIntersectStyle(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `DragIntersectStyle` objects.
    `static DragTrackerMode[]` | `arrayOfDragTrackerMode(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `DragTrackerMode` objects.
    `static DrawBlockConnector[]` | `arrayOfDrawBlockConnector(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `DrawBlockConnector` objects.
    `static DrawCurve[]` | `arrayOfDrawCurve(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `DrawCurve` objects.
    `static DrawGroup[]` | `arrayOfDrawGroup(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `DrawGroup` objects.
    `static DrawImage[]` | `arrayOfDrawImage(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `DrawImage` objects.
    `static DrawItem[]` | `arrayOfDrawItem(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `DrawItem` objects.
    `static DrawLabel[]` | `arrayOfDrawLabel(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `DrawLabel` objects.
    `static DrawLine[]` | `arrayOfDrawLine(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `DrawLine` objects.
    `static DrawLinePath[]` | `arrayOfDrawLinePath(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `DrawLinePath` objects.
    `static DrawnValue[]` | `arrayOfDrawnValue(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `DrawnValue` objects.
    `static DrawOval[]` | `arrayOfDrawOval(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `DrawOval` objects.
    `static DrawPane[]` | `arrayOfDrawPane(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `DrawPane` objects.
    `static DrawPath[]` | `arrayOfDrawPath(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `DrawPath` objects.
    `static DrawPolygon[]` | `arrayOfDrawPolygon(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `DrawPolygon` objects.
    `static DrawPosition[]` | `arrayOfDrawPosition(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `DrawPosition` objects.
    `static DrawRect[]` | `arrayOfDrawRect(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `DrawRect` objects.
    `static DrawSector[]` | `arrayOfDrawSector(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `DrawSector` objects.
    `static DrawTriangle[]` | `arrayOfDrawTriangle(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `DrawTriangle` objects.
    `static DSDataFormat[]` | `arrayOfDSDataFormat(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `DSDataFormat` objects.
    `static DSInheritanceMode[]` | `arrayOfDSInheritanceMode(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `DSInheritanceMode` objects.
    `static DSOperationType[]` | `arrayOfDSOperationType(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `DSOperationType` objects.
    `static DSProtocol[]` | `arrayOfDSProtocol(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `DSProtocol` objects.
    `static DSRequest[]` | `arrayOfDSRequest(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `DSRequest` objects.
    `static DSResponse[]` | `arrayOfDSResponse(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `DSResponse` objects.
    `static DSServerType[]` | `arrayOfDSServerType(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `DSServerType` objects.
    `static DynamicForm[]` | `arrayOfDynamicForm(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `DynamicForm` objects.
    `static EdgedCanvas[]` | `arrayOfEdgedCanvas(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `EdgedCanvas` objects.
    `static EdgeName[]` | `arrayOfEdgeName(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `EdgeName` objects.
    `static EditCompletionEvent[]` | `arrayOfEditCompletionEvent(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `EditCompletionEvent` objects.
    `static EmbeddedPosition[]` | `arrayOfEmbeddedPosition(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `EmbeddedPosition` objects.
    `static Encoding[]` | `arrayOfEncoding(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `Encoding` objects.
    `static EnterKeyEditAction[]` | `arrayOfEnterKeyEditAction(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `EnterKeyEditAction` objects.
    `static EnumTranslateStrategy[]` | `arrayOfEnumTranslateStrategy(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `EnumTranslateStrategy` objects.
    `static EscapeKeyEditAction[]` | `arrayOfEscapeKeyEditAction(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `EscapeKeyEditAction` objects.
    `static EscapingMode[]` | `arrayOfEscapingMode(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `EscapingMode` objects.
    `static EventWindow[]` | `arrayOfEventWindow(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `EventWindow` objects.
    `static ExpansionMode[]` | `arrayOfExpansionMode(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `ExpansionMode` objects.
    `static ExportDisplay[]` | `arrayOfExportDisplay(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `ExportDisplay` objects.
    `static ExportFormat[]` | `arrayOfExportFormat(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `ExportFormat` objects.
    `static ExportImageFormat[]` | `arrayOfExportImageFormat(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `ExportImageFormat` objects.
    `static Facet[]` | `arrayOfFacet(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `Facet` objects.
    `static FacetChart[]` | `arrayOfFacetChart(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `FacetChart` objects.
    `static FacetValue[]` | `arrayOfFacetValue(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `FacetValue` objects.
    `static FacetValueMap[]` | `arrayOfFacetValueMap(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `FacetValueMap` objects.
    `static FetchMode[]` | `arrayOfFetchMode(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `FetchMode` objects.
    `static FieldPickerWindow[]` | `arrayOfFieldPickerWindow(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `FieldPickerWindow` objects.
    `static FieldType[]` | `arrayOfFieldType(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `FieldType` objects.
    `static FileItem[]` | `arrayOfFileItem(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `FileItem` objects.
    `static FilterBuilder[]` | `arrayOfFilterBuilder(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `FilterBuilder` objects.
    `static FilterClause[]` | `arrayOfFilterClause(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `FilterClause` objects.
    `static FireStyle[]` | `arrayOfFireStyle(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `FireStyle` objects.
    `static FiscalCalendar[]` | `arrayOfFiscalCalendar(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `FiscalCalendar` objects.
    `static FiscalYear[]` | `arrayOfFiscalYear(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `FiscalYear` objects.
    `static FiscalYearMode[]` | `arrayOfFiscalYearMode(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `FiscalYearMode` objects.
    `static Flashlet[]` | `arrayOfFlashlet(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `Flashlet` objects.
    `static float[]` | `arrayOffloat(com.google.gwt.core.client.JavaScriptObject array)`
    `static java.lang.Float[]` | `arrayOfFloat(com.google.gwt.core.client.JavaScriptObject array)`
    `static FloatItem[]` | `arrayOfFloatItem(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `FloatItem` objects.
    `static FlowLayout[]` | `arrayOfFlowLayout(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `FlowLayout` objects.
    `static ForceTextApproach[]` | `arrayOfForceTextApproach(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `ForceTextApproach` objects.
    `static FormItem[]` | `arrayOfFormItem(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `FormItem` objects.
    `static FormItemIcon[]` | `arrayOfFormItemIcon(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `FormItemIcon` objects.
    `static FormItemType[]` | `arrayOfFormItemType(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `FormItemType` objects.
    `static FormMethod[]` | `arrayOfFormMethod(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `FormMethod` objects.
    `static Gauge[]` | `arrayOfGauge(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `Gauge` objects.
    `static GaugeSector[]` | `arrayOfGaugeSector(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `GaugeSector` objects.
    `static Gradient[]` | `arrayOfGradient(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `Gradient` objects.
    `static GridRenderer[]` | `arrayOfGridRenderer(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `GridRenderer` objects.
    `static GroupStartOpen[]` | `arrayOfGroupStartOpen(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `GroupStartOpen` objects.
    `static GroupSummary[]` | `arrayOfGroupSummary(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `GroupSummary` objects.
    `static HashAlgorithm[]` | `arrayOfHashAlgorithm(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `HashAlgorithm` objects.
    `static HeaderItem[]` | `arrayOfHeaderItem(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `HeaderItem` objects.
    `static HeaderLevel[]` | `arrayOfHeaderLevel(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `HeaderLevel` objects.
    `static HeaderSpan[]` | `arrayOfHeaderSpan(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `HeaderSpan` objects.
    `static HiddenItem[]` | `arrayOfHiddenItem(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `HiddenItem` objects.
    `static Hilite[]` | `arrayOfHilite(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `Hilite` objects.
    `static HiliteEditor[]` | `arrayOfHiliteEditor(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `HiliteEditor` objects.
    `static HiliteIconPosition[]` | `arrayOfHiliteIconPosition(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `HiliteIconPosition` objects.
    `static HiliteRule[]` | `arrayOfHiliteRule(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `HiliteRule` objects.
    `static HLayout[]` | `arrayOfHLayout(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `HLayout` objects.
    `static HoverMode[]` | `arrayOfHoverMode(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `HoverMode` objects.
    `static HStack[]` | `arrayOfHStack(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `HStack` objects.
    `static HTMLFlow[]` | `arrayOfHTMLFlow(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `HTMLFlow` objects.
    `static HTMLPane[]` | `arrayOfHTMLPane(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `HTMLPane` objects.
    `static IButton[]` | `arrayOfIButton(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `IButton` objects.
    `static IconButton[]` | `arrayOfIconButton(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `IconButton` objects.
    `static IconMenuButton[]` | `arrayOfIconMenuButton(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `IconMenuButton` objects.
    `static ImageStyle[]` | `arrayOfImageStyle(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `ImageStyle` objects.
    `static IMenuButton[]` | `arrayOfIMenuButton(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `IMenuButton` objects.
    `static Img[]` | `arrayOfImg(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `Img` objects.
    `static ImgButton[]` | `arrayOfImgButton(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `ImgButton` objects.
    `static ImgProperties[]` | `arrayOfImgProperties(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `ImgProperties` objects.
    `static ImgSectionHeader[]` | `arrayOfImgSectionHeader(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `ImgSectionHeader` objects.
    `static ImgSplitbar[]` | `arrayOfImgSplitbar(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `ImgSplitbar` objects.
    `static ImgTab[]` | `arrayOfImgTab(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `ImgTab` objects.
    `static int[]` | `arrayOfint(com.google.gwt.core.client.JavaScriptObject array)`
    `static java.lang.Integer[]` | `arrayOfInteger(com.google.gwt.core.client.JavaScriptObject array)`
    `static IntegerItem[]` | `arrayOfIntegerItem(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `IntegerItem` objects.
    `static IPickTreeItem[]` | `arrayOfIPickTreeItem(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `IPickTreeItem` objects.
    `static JSONCircularReferenceMode[]` | `arrayOfJSONCircularReferenceMode(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `JSONCircularReferenceMode` objects.
    `static JSONDateFormat[]` | `arrayOfJSONDateFormat(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `JSONDateFormat` objects.
    `static JSONEncoder[]` | `arrayOfJSONEncoder(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `JSONEncoder` objects.
    `static JSONInstanceSerializationMode[]` | `arrayOfJSONInstanceSerializationMode(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `JSONInstanceSerializationMode` objects.
    `static KnobType[]` | `arrayOfKnobType(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `KnobType` objects.
    `static Label[]` | `arrayOfLabel(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `Label` objects.
    `static LabelCollapseMode[]` | `arrayOfLabelCollapseMode(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `LabelCollapseMode` objects.
    `static LabelRotationMode[]` | `arrayOfLabelRotationMode(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `LabelRotationMode` objects.
    `static Lane[]` | `arrayOfLane(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `Lane` objects.
    `static Layout[]` | `arrayOfLayout(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `Layout` objects.
    `static LayoutPolicy[]` | `arrayOfLayoutPolicy(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `LayoutPolicy` objects.
    `static LayoutResizeBarPolicy[]` | `arrayOfLayoutResizeBarPolicy(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `LayoutResizeBarPolicy` objects.
    `static LayoutSpacer[]` | `arrayOfLayoutSpacer(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `LayoutSpacer` objects.
    `static LinearGradient[]` | `arrayOfLinearGradient(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `LinearGradient` objects.
    `static LineCap[]` | `arrayOfLineCap(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `LineCap` objects.
    `static LinePattern[]` | `arrayOfLinePattern(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `LinePattern` objects.
    `static LinkItem[]` | `arrayOfLinkItem(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `LinkItem` objects.
    `static ListGrid[]` | `arrayOfListGrid(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `ListGrid` objects.
    `static ListGridComponent[]` | `arrayOfListGridComponent(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `ListGridComponent` objects.
    `static ListGridEditEvent[]` | `arrayOfListGridEditEvent(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `ListGridEditEvent` objects.
    `static ListGridField[]` | `arrayOfListGridField(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `ListGridField` objects.
    `static ListGridFieldType[]` | `arrayOfListGridFieldType(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `ListGridFieldType` objects.
    `static ListGridRecord[]` | `arrayOfListGridRecord(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `ListGridRecord` objects.
    `static LoadState[]` | `arrayOfLoadState(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `LoadState` objects.
    `static LocatorStrategy[]` | `arrayOfLocatorStrategy(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `LocatorStrategy` objects.
    `static LocatorTypeStrategy[]` | `arrayOfLocatorTypeStrategy(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `LocatorTypeStrategy` objects.
    `static LogicalOperator[]` | `arrayOfLogicalOperator(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `LogicalOperator` objects.
    `static LogPriority[]` | `arrayOfLogPriority(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `LogPriority` objects.
    `static Menu[]` | `arrayOfMenu(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `Menu` objects.
    `static MenuBar[]` | `arrayOfMenuBar(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `MenuBar` objects.
    `static MenuButton[]` | `arrayOfMenuButton(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `MenuButton` objects.
    `static MenuItem[]` | `arrayOfMenuItem(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `MenuItem` objects.
    `static MetricSettings[]` | `arrayOfMetricSettings(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `MetricSettings` objects.
    `static MiniDateRangeItem[]` | `arrayOfMiniDateRangeItem(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `MiniDateRangeItem` objects.
    `static MultiComboBoxItem[]` | `arrayOfMultiComboBoxItem(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `MultiComboBoxItem` objects.
    `static MultiComboBoxLayoutStyle[]` | `arrayOfMultiComboBoxLayoutStyle(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `MultiComboBoxLayoutStyle` objects.
    `static MultiFileItem[]` | `arrayOfMultiFileItem(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `MultiFileItem` objects.
    `static MultiFilePicker[]` | `arrayOfMultiFilePicker(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `MultiFilePicker` objects.
    `static MultiGroupDialog[]` | `arrayOfMultiGroupDialog(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `MultiGroupDialog` objects.
    `static MultipleAppearance[]` | `arrayOfMultipleAppearance(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `MultipleAppearance` objects.
    `static NativeCheckboxItem[]` | `arrayOfNativeCheckboxItem(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `NativeCheckboxItem` objects.
    `static NavigationBar[]` | `arrayOfNavigationBar(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `NavigationBar` objects.
    `static NavigationButton[]` | `arrayOfNavigationButton(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `NavigationButton` objects.
    `static NavigationDirection[]` | `arrayOfNavigationDirection(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `NavigationDirection` objects.
    `static NavigationMode[]` | `arrayOfNavigationMode(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `NavigationMode` objects.
    `static java.lang.Object[]` | `arrayOfObject(com.google.gwt.core.client.JavaScriptObject array)`
    `static OperationBinding[]` | `arrayOfOperationBinding(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `OperationBinding` objects.
    `static OperatorId[]` | `arrayOfOperatorId(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `OperatorId` objects.
    `static OperatorValueType[]` | `arrayOfOperatorValueType(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `OperatorValueType` objects.
    `static Orientation[]` | `arrayOfOrientation(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `Orientation` objects.
    `static Overflow[]` | `arrayOfOverflow(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `Overflow` objects.
    `static PageEvent[]` | `arrayOfPageEvent(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `PageEvent` objects.
    `static PageOrientation[]` | `arrayOfPageOrientation(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `PageOrientation` objects.
    `static PartialCommitOption[]` | `arrayOfPartialCommitOption(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `PartialCommitOption` objects.
    `static PasswordItem[]` | `arrayOfPasswordItem(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `PasswordItem` objects.
    `static PercentBoxModel[]` | `arrayOfPercentBoxModel(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `PercentBoxModel` objects.
    `static PickTreeItem[]` | `arrayOfPickTreeItem(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `PickTreeItem` objects.
    `static Point[]` | `arrayOfPoint(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `Point` objects.
    `static PointShape[]` | `arrayOfPointShape(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `PointShape` objects.
    `static PortalLayout[]` | `arrayOfPortalLayout(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `PortalLayout` objects.
    `static Portlet[]` | `arrayOfPortlet(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `Portlet` objects.
    `static Positioning[]` | `arrayOfPositioning(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `Positioning` objects.
    `static PreserveOpenState[]` | `arrayOfPreserveOpenState(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `PreserveOpenState` objects.
    `static PrintCanvas[]` | `arrayOfPrintCanvas(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `PrintCanvas` objects.
    `static PrintProperties[]` | `arrayOfPrintProperties(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `PrintProperties` objects.
    `static PrintWindow[]` | `arrayOfPrintWindow(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `PrintWindow` objects.
    `static Process[]` | `arrayOfProcess(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `Process` objects.
    `static ProcessElement[]` | `arrayOfProcessElement(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `ProcessElement` objects.
    `static ProcessSequence[]` | `arrayOfProcessSequence(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `ProcessSequence` objects.
    `static Progressbar[]` | `arrayOfProgressbar(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `Progressbar` objects.
    `static PromptStyle[]` | `arrayOfPromptStyle(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `PromptStyle` objects.
    `static PropertySheet[]` | `arrayOfPropertySheet(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `PropertySheet` objects.
    `static RadialGradient[]` | `arrayOfRadialGradient(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `RadialGradient` objects.
    `static RadioGroupItem[]` | `arrayOfRadioGroupItem(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `RadioGroupItem` objects.
    `static RangeSlider[]` | `arrayOfRangeSlider(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `RangeSlider` objects.
    `static ReadOnlyDisplayAppearance[]` | `arrayOfReadOnlyDisplayAppearance(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `ReadOnlyDisplayAppearance` objects.
    `static Record[]` | `arrayOfRecord(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `Record` objects.
    `static RecordComponentPoolingMode[]` | `arrayOfRecordComponentPoolingMode(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `RecordComponentPoolingMode` objects.
    `static RecordLayout[]` | `arrayOfRecordLayout(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `RecordLayout` objects.
    `static RecordSummaryFunctionType[]` | `arrayOfRecordSummaryFunctionType(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `RecordSummaryFunctionType` objects.
    `static RegressionLineType[]` | `arrayOfRegressionLineType(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `RegressionLineType` objects.
    `static RelativeDate[]` | `arrayOfRelativeDate(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `RelativeDate` objects.
    `static RelativeDateItem[]` | `arrayOfRelativeDateItem(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `RelativeDateItem` objects.
    `static RelativeDateRangePosition[]` | `arrayOfRelativeDateRangePosition(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `RelativeDateRangePosition` objects.
    `static ResetItem[]` | `arrayOfResetItem(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `ResetItem` objects.
    `static RestDataSource[]` | `arrayOfRestDataSource(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `RestDataSource` objects.
    `static ResultTree[]` | `arrayOfResultTree(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `ResultTree` objects.
    `static RibbonBar[]` | `arrayOfRibbonBar(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `RibbonBar` objects.
    `static RibbonGroup[]` | `arrayOfRibbonGroup(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `RibbonGroup` objects.
    `static RichTextEditor[]` | `arrayOfRichTextEditor(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `RichTextEditor` objects.
    `static RichTextItem[]` | `arrayOfRichTextItem(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `RichTextItem` objects.
    `static RowEndEditAction[]` | `arrayOfRowEndEditAction(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `RowEndEditAction` objects.
    `static RowSpacerItem[]` | `arrayOfRowSpacerItem(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `RowSpacerItem` objects.
    `static RowSpanEditMode[]` | `arrayOfRowSpanEditMode(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `RowSpanEditMode` objects.
    `static RowSpanSelectionMode[]` | `arrayOfRowSpanSelectionMode(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `RowSpanSelectionMode` objects.
    `static RPCRequest[]` | `arrayOfRPCRequest(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `RPCRequest` objects.
    `static RPCResponse[]` | `arrayOfRPCResponse(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `RPCResponse` objects.
    `static RPCTransport[]` | `arrayOfRPCTransport(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `RPCTransport` objects.
    `static ScriptTask[]` | `arrayOfScriptTask(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `ScriptTask` objects.
    `static Scrollbar[]` | `arrayOfScrollbar(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `Scrollbar` objects.
    `static SearchForm[]` | `arrayOfSearchForm(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `SearchForm` objects.
    `static SectionHeader[]` | `arrayOfSectionHeader(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `SectionHeader` objects.
    `static SectionItem[]` | `arrayOfSectionItem(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `SectionItem` objects.
    `static SectionStack[]` | `arrayOfSectionStack(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `SectionStack` objects.
    `static SectionStackSection[]` | `arrayOfSectionStackSection(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `SectionStackSection` objects.
    `static Selected[]` | `arrayOfSelected(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `Selected` objects.
    `static SelectionAppearance[]` | `arrayOfSelectionAppearance(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `SelectionAppearance` objects.
    `static SelectionBoundary[]` | `arrayOfSelectionBoundary(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `SelectionBoundary` objects.
    `static SelectionNotificationType[]` | `arrayOfSelectionNotificationType(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `SelectionNotificationType` objects.
    `static SelectionStyle[]` | `arrayOfSelectionStyle(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `SelectionStyle` objects.
    `static SelectionType[]` | `arrayOfSelectionType(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `SelectionType` objects.
    `static SelectItem[]` | `arrayOfSelectItem(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `SelectItem` objects.
    `static SelectOtherItem[]` | `arrayOfSelectOtherItem(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `SelectOtherItem` objects.
    `static SendMethod[]` | `arrayOfSendMethod(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `SendMethod` objects.
    `static ServiceTask[]` | `arrayOfServiceTask(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `ServiceTask` objects.
    `static Shadow[]` | `arrayOfShadow(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `Shadow` objects.
    `static Side[]` | `arrayOfSide(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `Side` objects.
    `static SimpleGradient[]` | `arrayOfSimpleGradient(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `SimpleGradient` objects.
    `static SimpleTile[]` | `arrayOfSimpleTile(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `SimpleTile` objects.
    `static SimpleType[]` | `arrayOfSimpleType(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `SimpleType` objects.
    `static Slider[]` | `arrayOfSlider(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `Slider` objects.
    `static SliderItem[]` | `arrayOfSliderItem(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `SliderItem` objects.
    `static Snapbar[]` | `arrayOfSnapbar(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `Snapbar` objects.
    `static SortArrow[]` | `arrayOfSortArrow(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `SortArrow` objects.
    `static SortDirection[]` | `arrayOfSortDirection(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `SortDirection` objects.
    `static SortSpecifier[]` | `arrayOfSortSpecifier(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `SortSpecifier` objects.
    `static SpacerItem[]` | `arrayOfSpacerItem(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `SpacerItem` objects.
    `static SpinnerItem[]` | `arrayOfSpinnerItem(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `SpinnerItem` objects.
    `static Splitbar[]` | `arrayOfSplitbar(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `Splitbar` objects.
    `static SplitPane[]` | `arrayOfSplitPane(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `SplitPane` objects.
    `static SQLPagingStrategy[]` | `arrayOfSQLPagingStrategy(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `SQLPagingStrategy` objects.
    `static State[]` | `arrayOfState(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `State` objects.
    `static StatefulCanvas[]` | `arrayOfStatefulCanvas(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `StatefulCanvas` objects.
    `static StateTask[]` | `arrayOfStateTask(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `StateTask` objects.
    `static StaticTextItem[]` | `arrayOfStaticTextItem(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `StaticTextItem` objects.
    `static StretchImg[]` | `arrayOfStretchImg(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `StretchImg` objects.
    `static StretchImgButton[]` | `arrayOfStretchImgButton(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `StretchImgButton` objects.
    `static StretchItem[]` | `arrayOfStretchItem(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `StretchItem` objects.
    `static java.lang.String[]` | `arrayOfString(com.google.gwt.core.client.JavaScriptObject array)`
    `static SubmitItem[]` | `arrayOfSubmitItem(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `SubmitItem` objects.
    `static SVG[]` | `arrayOfSVG(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `SVG` objects.
    `static Tab[]` | `arrayOfTab(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `Tab` objects.
    `static TabBar[]` | `arrayOfTabBar(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `TabBar` objects.
    `static TableMode[]` | `arrayOfTableMode(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `TableMode` objects.
    `static TableView[]` | `arrayOfTableView(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `TableView` objects.
    `static TabSet[]` | `arrayOfTabSet(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `TabSet` objects.
    `static TabTitleEditEvent[]` | `arrayOfTabTitleEditEvent(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `TabTitleEditEvent` objects.
    `static Task[]` | `arrayOfTask(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `Task` objects.
    `static TextAreaItem[]` | `arrayOfTextAreaItem(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `TextAreaItem` objects.
    `static TextAreaWrap[]` | `arrayOfTextAreaWrap(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `TextAreaWrap` objects.
    `static TextExportSettings[]` | `arrayOfTextExportSettings(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `TextExportSettings` objects.
    `static TextImportSettings[]` | `arrayOfTextImportSettings(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `TextImportSettings` objects.
    `static TextItem[]` | `arrayOfTextItem(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `TextItem` objects.
    `static TextMatchStyle[]` | `arrayOfTextMatchStyle(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `TextMatchStyle` objects.
    `static TextSettings[]` | `arrayOfTextSettings(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `TextSettings` objects.
    `static TileGrid[]` | `arrayOfTileGrid(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `TileGrid` objects.
    `static TileLayout[]` | `arrayOfTileLayout(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `TileLayout` objects.
    `static TileLayoutPolicy[]` | `arrayOfTileLayoutPolicy(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `TileLayoutPolicy` objects.
    `static TileRecord[]` | `arrayOfTileRecord(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `TileRecord` objects.
    `static TimeDisplayFormat[]` | `arrayOfTimeDisplayFormat(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `TimeDisplayFormat` objects.
    `static TimeItem[]` | `arrayOfTimeItem(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `TimeItem` objects.
    `static Timeline[]` | `arrayOfTimeline(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `Timeline` objects.
    `static TimeUnit[]` | `arrayOfTimeUnit(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `TimeUnit` objects.
    `static TitleOrientation[]` | `arrayOfTitleOrientation(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `TitleOrientation` objects.
    `static ToolbarItem[]` | `arrayOfToolbarItem(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `ToolbarItem` objects.
    `static ToolStrip[]` | `arrayOfToolStrip(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `ToolStrip` objects.
    `static ToolStripButton[]` | `arrayOfToolStripButton(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `ToolStripButton` objects.
    `static ToolStripGroup[]` | `arrayOfToolStripGroup(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `ToolStripGroup` objects.
    `static ToolStripMenuButton[]` | `arrayOfToolStripMenuButton(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `ToolStripMenuButton` objects.
    `static ToolStripResizer[]` | `arrayOfToolStripResizer(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `ToolStripResizer` objects.
    `static ToolStripSeparator[]` | `arrayOfToolStripSeparator(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `ToolStripSeparator` objects.
    `static TopOperatorAppearance[]` | `arrayOfTopOperatorAppearance(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `TopOperatorAppearance` objects.
    `static Tree[]` | `arrayOfTree(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `Tree` objects.
    `static TreeFilterMode[]` | `arrayOfTreeFilterMode(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `TreeFilterMode` objects.
    `static TreeGrid[]` | `arrayOfTreeGrid(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `TreeGrid` objects.
    `static TreeGridField[]` | `arrayOfTreeGridField(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `TreeGridField` objects.
    `static TreeMenuButton[]` | `arrayOfTreeMenuButton(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `TreeMenuButton` objects.
    `static TreeModelType[]` | `arrayOfTreeModelType(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `TreeModelType` objects.
    `static TreeNode[]` | `arrayOfTreeNode(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `TreeNode` objects.
    `static UploadItem[]` | `arrayOfUploadItem(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `UploadItem` objects.
    `static UserFormula[]` | `arrayOfUserFormula(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `UserFormula` objects.
    `static UserSummary[]` | `arrayOfUserSummary(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `UserSummary` objects.
    `static UserTask[]` | `arrayOfUserTask(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `UserTask` objects.
    `static ValidationMode[]` | `arrayOfValidationMode(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `ValidationMode` objects.
    `static Validator[]` | `arrayOfValidator(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `Validator` objects.
    `static ValidatorType[]` | `arrayOfValidatorType(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `ValidatorType` objects.
    `static ValueItemType[]` | `arrayOfValueItemType(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `ValueItemType` objects.
    `static ValuesManager[]` | `arrayOfValuesManager(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `ValuesManager` objects.
    `static VerticalAlignment[]` | `arrayOfVerticalAlignment(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `VerticalAlignment` objects.
    `static ViewFileItem[]` | `arrayOfViewFileItem(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `ViewFileItem` objects.
    `static ViewLoader[]` | `arrayOfViewLoader(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `ViewLoader` objects.
    `static ViewName[]` | `arrayOfViewName(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `ViewName` objects.
    `static Visibility[]` | `arrayOfVisibility(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `Visibility` objects.
    `static VisibilityMode[]` | `arrayOfVisibilityMode(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `VisibilityMode` objects.
    `static VLayout[]` | `arrayOfVLayout(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `VLayout` objects.
    `static VStack[]` | `arrayOfVStack(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `VStack` objects.
    `static Window[]` | `arrayOfWindow(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `Window` objects.
    `static WSDataSource[]` | `arrayOfWSDataSource(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `WSDataSource` objects.
    `static XJSONDataSource[]` | `arrayOfXJSONDataSource(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `XJSONDataSource` objects.
    `static XORGateway[]` | `arrayOfXORGateway(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `XORGateway` objects.
    `static ZoomStartPosition[]` | `arrayOfZoomStartPosition(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `ZoomStartPosition` objects.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### arrayOfint

          public static int[] arrayOfint(com.google.gwt.core.client.JavaScriptObject array)

    - #### arrayOfInteger

          public static java.lang.Integer[] arrayOfInteger(com.google.gwt.core.client.JavaScriptObject array)

    - #### arrayOfString

          public static java.lang.String[] arrayOfString(com.google.gwt.core.client.JavaScriptObject array)

    - #### arrayOfFloat

          public static java.lang.Float[] arrayOfFloat(com.google.gwt.core.client.JavaScriptObject array)

    - #### arrayOffloat

          public static float[] arrayOffloat(com.google.gwt.core.client.JavaScriptObject array)

    - #### arrayOfDate

          public static java.util.Date[] arrayOfDate(com.google.gwt.core.client.JavaScriptObject array)

    - #### arrayOfObject

          public static java.lang.Object[] arrayOfObject(com.google.gwt.core.client.JavaScriptObject array)

    - #### arrayOfLineCap

          public static LineCap[] arrayOfLineCap(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `LineCap` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.LineCap[]

    - #### arrayOfListGridComponent

          public static ListGridComponent[] arrayOfListGridComponent(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `ListGridComponent` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.ListGridComponent[]

    - #### arrayOfPromptStyle

          public static PromptStyle[] arrayOfPromptStyle(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `PromptStyle` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.PromptStyle[]

    - #### arrayOfXJSONDataSource

          public static XJSONDataSource[] arrayOfXJSONDataSource(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `XJSONDataSource` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.data.XJSONDataSource[]

    - #### arrayOfLabelCollapseMode

          public static LabelCollapseMode[] arrayOfLabelCollapseMode(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `LabelCollapseMode` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.LabelCollapseMode[]

    - #### arrayOfLinearGradient

          public static LinearGradient[] arrayOfLinearGradient(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `LinearGradient` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.drawing.LinearGradient[]

    - #### arrayOfBooleanItem

          public static BooleanItem[] arrayOfBooleanItem(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `BooleanItem` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.form.fields.BooleanItem[]

    - #### arrayOfDragDataAction

          public static DragDataAction[] arrayOfDragDataAction(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `DragDataAction` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.DragDataAction[]

    - #### arrayOfDrawLabel

          public static DrawLabel[] arrayOfDrawLabel(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `DrawLabel` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.drawing.DrawLabel[]

    - #### arrayOfValuesManager

          public static ValuesManager[] arrayOfValuesManager(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `ValuesManager` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.form.ValuesManager[]

    - #### arrayOfImgTab

          public static ImgTab[] arrayOfImgTab(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `ImgTab` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.tab.ImgTab[]

    - #### arrayOfSplitPane

          public static SplitPane[] arrayOfSplitPane(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `SplitPane` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.layout.SplitPane[]

    - #### arrayOfAdvancedCriteria

          public static AdvancedCriteria[] arrayOfAdvancedCriteria(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `AdvancedCriteria` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.data.AdvancedCriteria[]

    - #### arrayOfDragIntersectStyle

          public static DragIntersectStyle[] arrayOfDragIntersectStyle(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `DragIntersectStyle` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.DragIntersectStyle[]

    - #### arrayOfLogicalOperator

          public static LogicalOperator[] arrayOfLogicalOperator(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `LogicalOperator` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.LogicalOperator[]

    - #### arrayOfDataLineType

          public static DataLineType[] arrayOfDataLineType(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `DataLineType` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.DataLineType[]

    - #### arrayOfTextSettings

          public static TextSettings[] arrayOfTextSettings(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `TextSettings` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.data.TextSettings[]

    - #### arrayOfMultiFilePicker

          public static MultiFilePicker[] arrayOfMultiFilePicker(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `MultiFilePicker` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.MultiFilePicker[]

    - #### arrayOfValidationMode

          public static ValidationMode[] arrayOfValidationMode(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `ValidationMode` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.ValidationMode[]

    - #### arrayOfLabel

          public static Label[] arrayOfLabel(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `Label` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.Label[]

    - #### arrayOfBackgroundRepeat

          public static BackgroundRepeat[] arrayOfBackgroundRepeat(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `BackgroundRepeat` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.BackgroundRepeat[]

    - #### arrayOfPortlet

          public static Portlet[] arrayOfPortlet(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `Portlet` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.layout.Portlet[]

    - #### arrayOfRibbonBar

          public static RibbonBar[] arrayOfRibbonBar(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `RibbonBar` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.toolbar.RibbonBar[]

    - #### arrayOfAutoFitWidthApproach

          public static AutoFitWidthApproach[] arrayOfAutoFitWidthApproach(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `AutoFitWidthApproach` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.AutoFitWidthApproach[]

    - #### arrayOfRelativeDate

          public static RelativeDate[] arrayOfRelativeDate(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `RelativeDate` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.data.RelativeDate[]

    - #### arrayOfNavigationMode

          public static NavigationMode[] arrayOfNavigationMode(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `NavigationMode` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.NavigationMode[]

    - #### arrayOfPortalLayout

          public static PortalLayout[] arrayOfPortalLayout(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `PortalLayout` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.layout.PortalLayout[]

    - #### arrayOfDataSource

          public static DataSource[] arrayOfDataSource(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `DataSource` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.data.DataSource[]

    - #### arrayOfSplitbar

          public static Splitbar[] arrayOfSplitbar(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `Splitbar` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.Splitbar[]

    - #### arrayOfToolbarItem

          public static ToolbarItem[] arrayOfToolbarItem(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `ToolbarItem` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.form.fields.ToolbarItem[]

    - #### arrayOfDateTimeItem

          public static DateTimeItem[] arrayOfDateTimeItem(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `DateTimeItem` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.form.fields.DateTimeItem[]

    - #### arrayOfDoubleItem

          public static DoubleItem[] arrayOfDoubleItem(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `DoubleItem` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.form.fields.DoubleItem[]

    - #### arrayOfTopOperatorAppearance

          public static TopOperatorAppearance[] arrayOfTopOperatorAppearance(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `TopOperatorAppearance` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.TopOperatorAppearance[]

    - #### arrayOfProcess

          public static Process[] arrayOfProcess(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `Process` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.util.workflow.Process[]

    - #### arrayOfEdgedCanvas

          public static EdgedCanvas[] arrayOfEdgedCanvas(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `EdgedCanvas` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.EdgedCanvas[]

    - #### arrayOfDrawPosition

          public static DrawPosition[] arrayOfDrawPosition(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `DrawPosition` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.DrawPosition[]

    - #### arrayOfSectionItem

          public static SectionItem[] arrayOfSectionItem(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `SectionItem` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.form.fields.SectionItem[]

    - #### arrayOfArrowStyle

          public static ArrowStyle[] arrayOfArrowStyle(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `ArrowStyle` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.ArrowStyle[]

    - #### arrayOfServiceTask

          public static ServiceTask[] arrayOfServiceTask(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `ServiceTask` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.util.workflow.ServiceTask[]

    - #### arrayOfHiddenItem

          public static HiddenItem[] arrayOfHiddenItem(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `HiddenItem` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.form.fields.HiddenItem[]

    - #### arrayOfFormItemIcon

          public static FormItemIcon[] arrayOfFormItemIcon(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `FormItemIcon` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.form.fields.FormItemIcon[]

    - #### arrayOfListGrid

          public static ListGrid[] arrayOfListGrid(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `ListGrid` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.grid.ListGrid[]

    - #### arrayOfFacetValue

          public static FacetValue[] arrayOfFacetValue(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `FacetValue` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.cube.FacetValue[]

    - #### arrayOfSortArrow

          public static SortArrow[] arrayOfSortArrow(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `SortArrow` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.SortArrow[]

    - #### arrayOfTimeDisplayFormat

          public static TimeDisplayFormat[] arrayOfTimeDisplayFormat(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `TimeDisplayFormat` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.TimeDisplayFormat[]

    - #### arrayOfCubeGrid

          public static CubeGrid[] arrayOfCubeGrid(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `CubeGrid` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.cube.CubeGrid[]

    - #### arrayOfRecordLayout

          public static RecordLayout[] arrayOfRecordLayout(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `RecordLayout` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.RecordLayout[]

    - #### arrayOfTextExportSettings

          public static TextExportSettings[] arrayOfTextExportSettings(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `TextExportSettings` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.data.TextExportSettings[]

    - #### arrayOfIntegerItem

          public static IntegerItem[] arrayOfIntegerItem(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `IntegerItem` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.form.fields.IntegerItem[]

    - #### arrayOfFacetValueMap

          public static FacetValueMap[] arrayOfFacetValueMap(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `FacetValueMap` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.cube.FacetValueMap[]

    - #### arrayOfFloatItem

          public static FloatItem[] arrayOfFloatItem(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `FloatItem` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.form.fields.FloatItem[]

    - #### arrayOfNavigationDirection

          public static NavigationDirection[] arrayOfNavigationDirection(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `NavigationDirection` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.NavigationDirection[]

    - #### arrayOfToolStripResizer

          public static ToolStripResizer[] arrayOfToolStripResizer(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `ToolStripResizer` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.toolbar.ToolStripResizer[]

    - #### arrayOfEditCompletionEvent

          public static EditCompletionEvent[] arrayOfEditCompletionEvent(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `EditCompletionEvent` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.EditCompletionEvent[]

    - #### arrayOfWindow

          public static Window[] arrayOfWindow(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `Window` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.Window[]

    - #### arrayOfBlurbItem

          public static BlurbItem[] arrayOfBlurbItem(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `BlurbItem` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.form.fields.BlurbItem[]

    - #### arrayOfDecisionGateway

          public static DecisionGateway[] arrayOfDecisionGateway(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `DecisionGateway` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.util.workflow.DecisionGateway[]

    - #### arrayOfOperationBinding

          public static OperationBinding[] arrayOfOperationBinding(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `OperationBinding` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.data.OperationBinding[]

    - #### arrayOfColorStop

          public static ColorStop[] arrayOfColorStop(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `ColorStop` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.drawing.ColorStop[]

    - #### arrayOfRangeSlider

          public static RangeSlider[] arrayOfRangeSlider(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `RangeSlider` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.RangeSlider[]

    - #### arrayOfStatefulCanvas

          public static StatefulCanvas[] arrayOfStatefulCanvas(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `StatefulCanvas` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.StatefulCanvas[]

    - #### arrayOfDSServerType

          public static DSServerType[] arrayOfDSServerType(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `DSServerType` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.DSServerType[]

    - #### arrayOfLoadState

          public static LoadState[] arrayOfLoadState(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `LoadState` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.LoadState[]

    - #### arrayOfNavigationButton

          public static NavigationButton[] arrayOfNavigationButton(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `NavigationButton` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.NavigationButton[]

    - #### arrayOfApplet

          public static Applet[] arrayOfApplet(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `Applet` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.plugins.Applet[]

    - #### arrayOfJSONDateFormat

          public static JSONDateFormat[] arrayOfJSONDateFormat(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `JSONDateFormat` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.JSONDateFormat[]

    - #### arrayOfLocatorStrategy

          public static LocatorStrategy[] arrayOfLocatorStrategy(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `LocatorStrategy` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.LocatorStrategy[]

    - #### arrayOfDrawGroup

          public static DrawGroup[] arrayOfDrawGroup(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `DrawGroup` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.drawing.DrawGroup[]

    - #### arrayOfCriteriaPolicy

          public static CriteriaPolicy[] arrayOfCriteriaPolicy(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `CriteriaPolicy` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.CriteriaPolicy[]

    - #### arrayOfTabTitleEditEvent

          public static TabTitleEditEvent[] arrayOfTabTitleEditEvent(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `TabTitleEditEvent` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.TabTitleEditEvent[]

    - #### arrayOfSendMethod

          public static SendMethod[] arrayOfSendMethod(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `SendMethod` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.SendMethod[]

    - #### arrayOfTableView

          public static TableView[] arrayOfTableView(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `TableView` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.tableview.TableView[]

    - #### arrayOfProcessSequence

          public static ProcessSequence[] arrayOfProcessSequence(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `ProcessSequence` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.util.workflow.ProcessSequence[]

    - #### arrayOfIconButton

          public static IconButton[] arrayOfIconButton(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `IconButton` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.IconButton[]

    - #### arrayOfColorPicker

          public static ColorPicker[] arrayOfColorPicker(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `ColorPicker` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.form.ColorPicker[]

    - #### arrayOfGridRenderer

          public static GridRenderer[] arrayOfGridRenderer(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `GridRenderer` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.grid.GridRenderer[]

    - #### arrayOfHeaderLevel

          public static HeaderLevel[] arrayOfHeaderLevel(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `HeaderLevel` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.calendar.HeaderLevel[]

    - #### arrayOfDSProtocol

          public static DSProtocol[] arrayOfDSProtocol(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `DSProtocol` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.DSProtocol[]

    - #### arrayOfMultiComboBoxLayoutStyle

          public static MultiComboBoxLayoutStyle[] arrayOfMultiComboBoxLayoutStyle(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `MultiComboBoxLayoutStyle` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.MultiComboBoxLayoutStyle[]

    - #### arrayOfPrintWindow

          public static PrintWindow[] arrayOfPrintWindow(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `PrintWindow` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.PrintWindow[]

    - #### arrayOfPickTreeItem

          public static PickTreeItem[] arrayOfPickTreeItem(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `PickTreeItem` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.form.fields.PickTreeItem[]

    - #### arrayOfDateChooser

          public static DateChooser[] arrayOfDateChooser(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `DateChooser` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.DateChooser[]

    - #### arrayOfDetailViewerField

          public static DetailViewerField[] arrayOfDetailViewerField(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `DetailViewerField` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.viewer.DetailViewerField[]

    - #### arrayOfDSRequest

          public static DSRequest[] arrayOfDSRequest(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `DSRequest` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.data.DSRequest[]

    - #### arrayOfFireStyle

          public static FireStyle[] arrayOfFireStyle(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `FireStyle` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.FireStyle[]

    - #### arrayOfDrawOval

          public static DrawOval[] arrayOfDrawOval(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `DrawOval` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.drawing.DrawOval[]

    - #### arrayOfFacet

          public static Facet[] arrayOfFacet(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `Facet` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.cube.Facet[]

    - #### arrayOfPropertySheet

          public static PropertySheet[] arrayOfPropertySheet(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `PropertySheet` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.form.PropertySheet[]

    - #### arrayOfLayoutResizeBarPolicy

          public static LayoutResizeBarPolicy[] arrayOfLayoutResizeBarPolicy(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `LayoutResizeBarPolicy` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.LayoutResizeBarPolicy[]

    - #### arrayOfState

          public static State[] arrayOfState(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `State` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.State[]

    - #### arrayOfScriptTask

          public static ScriptTask[] arrayOfScriptTask(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `ScriptTask` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.util.workflow.ScriptTask[]

    - #### arrayOfTreeMenuButton

          public static TreeMenuButton[] arrayOfTreeMenuButton(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `TreeMenuButton` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.menu.TreeMenuButton[]

    - #### arrayOfViewFileItem

          public static ViewFileItem[] arrayOfViewFileItem(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `ViewFileItem` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.form.fields.ViewFileItem[]

    - #### arrayOfDateGrid

          public static DateGrid[] arrayOfDateGrid(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `DateGrid` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.grid.DateGrid[]

    - #### arrayOfGaugeSector

          public static GaugeSector[] arrayOfGaugeSector(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `GaugeSector` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.drawing.GaugeSector[]

    - #### arrayOfImageStyle

          public static ImageStyle[] arrayOfImageStyle(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `ImageStyle` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.ImageStyle[]

    - #### arrayOfAutoFitTextAreaItem

          public static AutoFitTextAreaItem[] arrayOfAutoFitTextAreaItem(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `AutoFitTextAreaItem` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.form.fields.AutoFitTextAreaItem[]

    - #### arrayOfDrawLinePath

          public static DrawLinePath[] arrayOfDrawLinePath(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `DrawLinePath` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.drawing.DrawLinePath[]

    - #### arrayOfImgButton

          public static ImgButton[] arrayOfImgButton(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `ImgButton` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.ImgButton[]

    - #### arrayOfToolStripButton

          public static ToolStripButton[] arrayOfToolStripButton(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `ToolStripButton` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.toolbar.ToolStripButton[]

    - #### arrayOfHiliteRule

          public static HiliteRule[] arrayOfHiliteRule(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `HiliteRule` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.grid.HiliteRule[]

    - #### arrayOfDateRangeDialog

          public static DateRangeDialog[] arrayOfDateRangeDialog(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `DateRangeDialog` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.DateRangeDialog[]

    - #### arrayOfJSONInstanceSerializationMode

          public static JSONInstanceSerializationMode[] arrayOfJSONInstanceSerializationMode(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `JSONInstanceSerializationMode` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.JSONInstanceSerializationMode[]

    - #### arrayOfAnimationEffect

          public static AnimationEffect[] arrayOfAnimationEffect(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `AnimationEffect` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.AnimationEffect[]

    - #### arrayOfTileRecord

          public static TileRecord[] arrayOfTileRecord(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `TileRecord` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.tile.TileRecord[]

    - #### arrayOfFileItem

          public static FileItem[] arrayOfFileItem(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `FileItem` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.form.fields.FileItem[]

    - #### arrayOfAutoFitIconFieldType

          public static AutoFitIconFieldType[] arrayOfAutoFitIconFieldType(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `AutoFitIconFieldType` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.AutoFitIconFieldType[]

    - #### arrayOfDSDataFormat

          public static DSDataFormat[] arrayOfDSDataFormat(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `DSDataFormat` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.DSDataFormat[]

    - #### arrayOfCellSelection

          public static CellSelection[] arrayOfCellSelection(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `CellSelection` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.grid.CellSelection[]

    - #### arrayOfCanvas

          public static Canvas[] arrayOfCanvas(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `Canvas` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.Canvas[]

    - #### arrayOfSVG

          public static SVG[] arrayOfSVG(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `SVG` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.plugins.SVG[]

    - #### arrayOfTree

          public static Tree[] arrayOfTree(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `Tree` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.tree.Tree[]

    - #### arrayOfSQLPagingStrategy

          public static SQLPagingStrategy[] arrayOfSQLPagingStrategy(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `SQLPagingStrategy` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.SQLPagingStrategy[]

    - #### arrayOfRowSpacerItem

          public static RowSpacerItem[] arrayOfRowSpacerItem(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `RowSpacerItem` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.form.fields.RowSpacerItem[]

    - #### arrayOfRowSpanSelectionMode

          public static RowSpanSelectionMode[] arrayOfRowSpanSelectionMode(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `RowSpanSelectionMode` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.RowSpanSelectionMode[]

    - #### arrayOfResultTree

          public static ResultTree[] arrayOfResultTree(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `ResultTree` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.tree.ResultTree[]

    - #### arrayOfImgProperties

          public static ImgProperties[] arrayOfImgProperties(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `ImgProperties` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.ImgProperties[]

    - #### arrayOfMultiComboBoxItem

          public static MultiComboBoxItem[] arrayOfMultiComboBoxItem(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `MultiComboBoxItem` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.form.fields.MultiComboBoxItem[]

    - #### arrayOfXORGateway

          public static XORGateway[] arrayOfXORGateway(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `XORGateway` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.util.workflow.XORGateway[]

    - #### arrayOfCanvasItem

          public static CanvasItem[] arrayOfCanvasItem(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `CanvasItem` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.form.fields.CanvasItem[]

    - #### arrayOfHeaderItem

          public static HeaderItem[] arrayOfHeaderItem(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `HeaderItem` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.form.fields.HeaderItem[]

    - #### arrayOfExpansionMode

          public static ExpansionMode[] arrayOfExpansionMode(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `ExpansionMode` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.ExpansionMode[]

    - #### arrayOfListGridRecord

          public static ListGridRecord[] arrayOfListGridRecord(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `ListGridRecord` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.grid.ListGridRecord[]

    - #### arrayOfOverflow

          public static Overflow[] arrayOfOverflow(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `Overflow` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.Overflow[]

    - #### arrayOfMenuBar

          public static MenuBar[] arrayOfMenuBar(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `MenuBar` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.menu.MenuBar[]

    - #### arrayOfScrollbar

          public static Scrollbar[] arrayOfScrollbar(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `Scrollbar` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.Scrollbar[]

    - #### arrayOfBatchUploader

          public static BatchUploader[] arrayOfBatchUploader(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `BatchUploader` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.BatchUploader[]

    - #### arrayOfDateRangeItem

          public static DateRangeItem[] arrayOfDateRangeItem(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `DateRangeItem` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.form.fields.DateRangeItem[]

    - #### arrayOfRadialGradient

          public static RadialGradient[] arrayOfRadialGradient(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `RadialGradient` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.drawing.RadialGradient[]

    - #### arrayOfCriteriaCombineOperator

          public static CriteriaCombineOperator[] arrayOfCriteriaCombineOperator(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `CriteriaCombineOperator` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.CriteriaCombineOperator[]

    - #### arrayOfListGridEditEvent

          public static ListGridEditEvent[] arrayOfListGridEditEvent(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `ListGridEditEvent` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.ListGridEditEvent[]

    - #### arrayOfFieldType

          public static FieldType[] arrayOfFieldType(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `FieldType` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.FieldType[]

    - #### arrayOfExportImageFormat

          public static ExportImageFormat[] arrayOfExportImageFormat(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `ExportImageFormat` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.ExportImageFormat[]

    - #### arrayOfDisplayNodeType

          public static DisplayNodeType[] arrayOfDisplayNodeType(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `DisplayNodeType` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.DisplayNodeType[]

    - #### arrayOfTileLayout

          public static TileLayout[] arrayOfTileLayout(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `TileLayout` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.tile.TileLayout[]

    - #### arrayOfValidator

          public static Validator[] arrayOfValidator(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `Validator` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.form.validator.Validator[]

    - #### arrayOfFormMethod

          public static FormMethod[] arrayOfFormMethod(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `FormMethod` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.FormMethod[]

    - #### arrayOfSlider

          public static Slider[] arrayOfSlider(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `Slider` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.Slider[]

    - #### arrayOfFiscalYearMode

          public static FiscalYearMode[] arrayOfFiscalYearMode(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `FiscalYearMode` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.FiscalYearMode[]

    - #### arrayOfPoint

          public static Point[] arrayOfPoint(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `Point` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.drawing.Point[]

    - #### arrayOfRecord

          public static Record[] arrayOfRecord(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `Record` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.data.Record[]

    - #### arrayOfProgressbar

          public static Progressbar[] arrayOfProgressbar(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `Progressbar` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.Progressbar[]

    - #### arrayOfTextItem

          public static TextItem[] arrayOfTextItem(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `TextItem` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.form.fields.TextItem[]

    - #### arrayOfTitleOrientation

          public static TitleOrientation[] arrayOfTitleOrientation(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `TitleOrientation` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.TitleOrientation[]

    - #### arrayOfOrientation

          public static Orientation[] arrayOfOrientation(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `Orientation` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.Orientation[]

    - #### arrayOfDetailViewer

          public static DetailViewer[] arrayOfDetailViewer(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `DetailViewer` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.viewer.DetailViewer[]

    - #### arrayOfFilterClause

          public static FilterClause[] arrayOfFilterClause(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `FilterClause` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.form.FilterClause[]

    - #### arrayOfFlashlet

          public static Flashlet[] arrayOfFlashlet(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `Flashlet` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.plugins.Flashlet[]

    - #### arrayOfUserFormula

          public static UserFormula[] arrayOfUserFormula(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `UserFormula` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.UserFormula[]

    - #### arrayOfSectionHeader

          public static SectionHeader[] arrayOfSectionHeader(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `SectionHeader` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.layout.SectionHeader[]

    - #### arrayOfRelativeDateRangePosition

          public static RelativeDateRangePosition[] arrayOfRelativeDateRangePosition(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `RelativeDateRangePosition` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.RelativeDateRangePosition[]

    - #### arrayOfToolStrip

          public static ToolStrip[] arrayOfToolStrip(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `ToolStrip` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.toolbar.ToolStrip[]

    - #### arrayOfRibbonGroup

          public static RibbonGroup[] arrayOfRibbonGroup(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `RibbonGroup` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.toolbar.RibbonGroup[]

    - #### arrayOfTask

          public static Task[] arrayOfTask(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `Task` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.util.workflow.Task[]

    - #### arrayOfHilite

          public static Hilite[] arrayOfHilite(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `Hilite` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.data.Hilite[]

    - #### arrayOfViewLoader

          public static ViewLoader[] arrayOfViewLoader(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `ViewLoader` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.ViewLoader[]

    - #### arrayOfLogPriority

          public static LogPriority[] arrayOfLogPriority(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `LogPriority` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.LogPriority[]

    - #### arrayOfPasswordItem

          public static PasswordItem[] arrayOfPasswordItem(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `PasswordItem` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.form.fields.PasswordItem[]

    - #### arrayOfStaticTextItem

          public static StaticTextItem[] arrayOfStaticTextItem(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `StaticTextItem` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.form.fields.StaticTextItem[]

    - #### arrayOfDrawRect

          public static DrawRect[] arrayOfDrawRect(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `DrawRect` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.drawing.DrawRect[]

    - #### arrayOfUserTask

          public static UserTask[] arrayOfUserTask(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `UserTask` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.util.workflow.UserTask[]

    - #### arrayOfMultiGroupDialog

          public static MultiGroupDialog[] arrayOfMultiGroupDialog(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `MultiGroupDialog` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.MultiGroupDialog[]

    - #### arrayOfVisibility

          public static Visibility[] arrayOfVisibility(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `Visibility` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.Visibility[]

    - #### arrayOfFlowLayout

          public static FlowLayout[] arrayOfFlowLayout(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `FlowLayout` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.layout.FlowLayout[]

    - #### arrayOfDrawPolygon

          public static DrawPolygon[] arrayOfDrawPolygon(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `DrawPolygon` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.drawing.DrawPolygon[]

    - #### arrayOfForceTextApproach

          public static ForceTextApproach[] arrayOfForceTextApproach(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `ForceTextApproach` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.ForceTextApproach[]

    - #### arrayOfGauge

          public static Gauge[] arrayOfGauge(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `Gauge` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.drawing.Gauge[]

    - #### arrayOfAdvancedHiliteEditor

          public static AdvancedHiliteEditor[] arrayOfAdvancedHiliteEditor(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `AdvancedHiliteEditor` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.grid.AdvancedHiliteEditor[]

    - #### arrayOfSectionStackSection

          public static SectionStackSection[] arrayOfSectionStackSection(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `SectionStackSection` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.layout.SectionStackSection[]

    - #### arrayOfButton

          public static Button[] arrayOfButton(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `Button` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.Button[]

    - #### arrayOfEnumTranslateStrategy

          public static EnumTranslateStrategy[] arrayOfEnumTranslateStrategy(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `EnumTranslateStrategy` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.EnumTranslateStrategy[]

    - #### arrayOfEdgeName

          public static EdgeName[] arrayOfEdgeName(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `EdgeName` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.EdgeName[]

    - #### arrayOfHeaderSpan

          public static HeaderSpan[] arrayOfHeaderSpan(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `HeaderSpan` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.grid.HeaderSpan[]

    - #### arrayOfTreeFilterMode

          public static TreeFilterMode[] arrayOfTreeFilterMode(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `TreeFilterMode` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.TreeFilterMode[]

    - #### arrayOfCalendar

          public static Calendar[] arrayOfCalendar(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `Calendar` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.calendar.Calendar[]

    - #### arrayOfPrintProperties

          public static PrintProperties[] arrayOfPrintProperties(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `PrintProperties` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.util.PrintProperties[]

    - #### arrayOfSelectionType

          public static SelectionType[] arrayOfSelectionType(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `SelectionType` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.SelectionType[]

    - #### arrayOfSnapbar

          public static Snapbar[] arrayOfSnapbar(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `Snapbar` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.Snapbar[]

    - #### arrayOfColorPickerItem

          public static ColorPickerItem[] arrayOfColorPickerItem(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `ColorPickerItem` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.form.fields.ColorPickerItem[]

    - #### arrayOfTileLayoutPolicy

          public static TileLayoutPolicy[] arrayOfTileLayoutPolicy(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `TileLayoutPolicy` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.TileLayoutPolicy[]

    - #### arrayOfDrawPane

          public static DrawPane[] arrayOfDrawPane(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `DrawPane` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.drawing.DrawPane[]

    - #### arrayOfEmbeddedPosition

          public static EmbeddedPosition[] arrayOfEmbeddedPosition(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `EmbeddedPosition` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.EmbeddedPosition[]

    - #### arrayOfDSResponse

          public static DSResponse[] arrayOfDSResponse(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `DSResponse` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.data.DSResponse[]

    - #### arrayOfFilterBuilder

          public static FilterBuilder[] arrayOfFilterBuilder(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `FilterBuilder` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.form.FilterBuilder[]

    - #### arrayOfDrawSector

          public static DrawSector[] arrayOfDrawSector(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `DrawSector` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.drawing.DrawSector[]

    - #### arrayOfEncoding

          public static Encoding[] arrayOfEncoding(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `Encoding` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.Encoding[]

    - #### arrayOfOperatorId

          public static OperatorId[] arrayOfOperatorId(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `OperatorId` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.OperatorId[]

    - #### arrayOfDrawPath

          public static DrawPath[] arrayOfDrawPath(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `DrawPath` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.drawing.DrawPath[]

    - #### arrayOfTreeGridField

          public static TreeGridField[] arrayOfTreeGridField(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `TreeGridField` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.tree.TreeGridField[]

    - #### arrayOfListGridFieldType

          public static ListGridFieldType[] arrayOfListGridFieldType(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `ListGridFieldType` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.ListGridFieldType[]

    - #### arrayOfDrawnValue

          public static DrawnValue[] arrayOfDrawnValue(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `DrawnValue` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.chart.DrawnValue[]

    - #### arrayOfAutofit

          public static Autofit[] arrayOfAutofit(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `Autofit` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.Autofit[]

    - #### arrayOfMetricSettings

          public static MetricSettings[] arrayOfMetricSettings(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `MetricSettings` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.chart.MetricSettings[]

    - #### arrayOfImgSplitbar

          public static ImgSplitbar[] arrayOfImgSplitbar(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `ImgSplitbar` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.ImgSplitbar[]

    - #### arrayOfSelected

          public static Selected[] arrayOfSelected(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `Selected` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.Selected[]

    - #### arrayOfComboBoxItem

          public static ComboBoxItem[] arrayOfComboBoxItem(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `ComboBoxItem` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.form.fields.ComboBoxItem[]

    - #### arrayOfControlName

          public static ControlName[] arrayOfControlName(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `ControlName` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.ControlName[]

    - #### arrayOfLayoutSpacer

          public static LayoutSpacer[] arrayOfLayoutSpacer(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `LayoutSpacer` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.layout.LayoutSpacer[]

    - #### arrayOfSimpleTile

          public static SimpleTile[] arrayOfSimpleTile(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `SimpleTile` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.tile.SimpleTile[]

    - #### arrayOfDrawLine

          public static DrawLine[] arrayOfDrawLine(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `DrawLine` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.drawing.DrawLine[]

    - #### arrayOfDrawCurve

          public static DrawCurve[] arrayOfDrawCurve(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `DrawCurve` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.drawing.DrawCurve[]

    - #### arrayOfHTMLFlow

          public static HTMLFlow[] arrayOfHTMLFlow(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `HTMLFlow` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.HTMLFlow[]

    - #### arrayOfRPCTransport

          public static RPCTransport[] arrayOfRPCTransport(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `RPCTransport` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.RPCTransport[]

    - #### arrayOfHStack

          public static HStack[] arrayOfHStack(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `HStack` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.layout.HStack[]

    - #### arrayOfReadOnlyDisplayAppearance

          public static ReadOnlyDisplayAppearance[] arrayOfReadOnlyDisplayAppearance(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `ReadOnlyDisplayAppearance` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.ReadOnlyDisplayAppearance[]

    - #### arrayOfTileGrid

          public static TileGrid[] arrayOfTileGrid(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `TileGrid` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.tile.TileGrid[]

    - #### arrayOfCellRecord

          public static CellRecord[] arrayOfCellRecord(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `CellRecord` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.cube.CellRecord[]

    - #### arrayOfPageEvent

          public static PageEvent[] arrayOfPageEvent(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `PageEvent` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.PageEvent[]

    - #### arrayOfSortDirection

          public static SortDirection[] arrayOfSortDirection(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `SortDirection` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.SortDirection[]

    - #### arrayOfTimeUnit

          public static TimeUnit[] arrayOfTimeUnit(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `TimeUnit` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.TimeUnit[]

    - #### arrayOfCalendarEvent

          public static CalendarEvent[] arrayOfCalendarEvent(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `CalendarEvent` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.calendar.CalendarEvent[]

    - #### arrayOfColorItem

          public static ColorItem[] arrayOfColorItem(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `ColorItem` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.form.fields.ColorItem[]

    - #### arrayOfDrawImage

          public static DrawImage[] arrayOfDrawImage(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `DrawImage` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.drawing.DrawImage[]

    - #### arrayOfSubmitItem

          public static SubmitItem[] arrayOfSubmitItem(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `SubmitItem` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.form.fields.SubmitItem[]

    - #### arrayOfJSONEncoder

          public static JSONEncoder[] arrayOfJSONEncoder(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `JSONEncoder` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.util.JSONEncoder[]

    - #### arrayOfSelectItem

          public static SelectItem[] arrayOfSelectItem(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `SelectItem` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.form.fields.SelectItem[]

    - #### arrayOfIconMenuButton

          public static IconMenuButton[] arrayOfIconMenuButton(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `IconMenuButton` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.menu.IconMenuButton[]

    - #### arrayOfSpacerItem

          public static SpacerItem[] arrayOfSpacerItem(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `SpacerItem` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.form.fields.SpacerItem[]

    - #### arrayOfDateDisplayFormat

          public static DateDisplayFormat[] arrayOfDateDisplayFormat(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `DateDisplayFormat` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.DateDisplayFormat[]

    - #### arrayOfSelectionBoundary

          public static SelectionBoundary[] arrayOfSelectionBoundary(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `SelectionBoundary` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.SelectionBoundary[]

    - #### arrayOfRelativeDateItem

          public static RelativeDateItem[] arrayOfRelativeDateItem(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `RelativeDateItem` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.form.fields.RelativeDateItem[]

    - #### arrayOfAxis

          public static Axis[] arrayOfAxis(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `Axis` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.Axis[]

    - #### arrayOfLinkItem

          public static LinkItem[] arrayOfLinkItem(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `LinkItem` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.form.fields.LinkItem[]

    - #### arrayOfAutoFitEvent

          public static AutoFitEvent[] arrayOfAutoFitEvent(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `AutoFitEvent` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.AutoFitEvent[]

    - #### arrayOfTimeItem

          public static TimeItem[] arrayOfTimeItem(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `TimeItem` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.form.fields.TimeItem[]

    - #### arrayOfColumnTree

          public static ColumnTree[] arrayOfColumnTree(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `ColumnTree` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.grid.ColumnTree[]

    - #### arrayOfDateEditingStyle

          public static DateEditingStyle[] arrayOfDateEditingStyle(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `DateEditingStyle` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.DateEditingStyle[]

    - #### arrayOfActiveXControl

          public static ActiveXControl[] arrayOfActiveXControl(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `ActiveXControl` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.plugins.ActiveXControl[]

    - #### arrayOfNavigationBar

          public static NavigationBar[] arrayOfNavigationBar(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `NavigationBar` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.layout.NavigationBar[]

    - #### arrayOfFetchMode

          public static FetchMode[] arrayOfFetchMode(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `FetchMode` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.FetchMode[]

    - #### arrayOfDragTrackerMode

          public static DragTrackerMode[] arrayOfDragTrackerMode(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `DragTrackerMode` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.DragTrackerMode[]

    - #### arrayOfZoomStartPosition

          public static ZoomStartPosition[] arrayOfZoomStartPosition(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `ZoomStartPosition` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.ZoomStartPosition[]

    - #### arrayOfHLayout

          public static HLayout[] arrayOfHLayout(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `HLayout` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.layout.HLayout[]

    - #### arrayOfDetailViewerRecord

          public static DetailViewerRecord[] arrayOfDetailViewerRecord(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `DetailViewerRecord` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.viewer.DetailViewerRecord[]

    - #### arrayOfSimpleGradient

          public static SimpleGradient[] arrayOfSimpleGradient(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `SimpleGradient` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.drawing.SimpleGradient[]

    - #### arrayOfSelectionStyle

          public static SelectionStyle[] arrayOfSelectionStyle(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `SelectionStyle` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.SelectionStyle[]

    - #### arrayOfLabelRotationMode

          public static LabelRotationMode[] arrayOfLabelRotationMode(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `LabelRotationMode` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.LabelRotationMode[]

    - #### arrayOfTextMatchStyle

          public static TextMatchStyle[] arrayOfTextMatchStyle(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `TextMatchStyle` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.TextMatchStyle[]

    - #### arrayOfPercentBoxModel

          public static PercentBoxModel[] arrayOfPercentBoxModel(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `PercentBoxModel` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.PercentBoxModel[]

    - #### arrayOfTreeNode

          public static TreeNode[] arrayOfTreeNode(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `TreeNode` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.tree.TreeNode[]

    - #### arrayOfFacetChart

          public static FacetChart[] arrayOfFacetChart(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `FacetChart` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.chart.FacetChart[]

    - #### arrayOfHoverMode

          public static HoverMode[] arrayOfHoverMode(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `HoverMode` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.HoverMode[]

    - #### arrayOfExportDisplay

          public static ExportDisplay[] arrayOfExportDisplay(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `ExportDisplay` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.ExportDisplay[]

    - #### arrayOfRowSpanEditMode

          public static RowSpanEditMode[] arrayOfRowSpanEditMode(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `RowSpanEditMode` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.RowSpanEditMode[]

    - #### arrayOfVisibilityMode

          public static VisibilityMode[] arrayOfVisibilityMode(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `VisibilityMode` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.VisibilityMode[]

    - #### arrayOfPreserveOpenState

          public static PreserveOpenState[] arrayOfPreserveOpenState(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `PreserveOpenState` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.PreserveOpenState[]

    - #### arrayOfSide

          public static Side[] arrayOfSide(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `Side` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.Side[]

    - #### arrayOfSimpleType

          public static SimpleType[] arrayOfSimpleType(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `SimpleType` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.data.SimpleType[]

    - #### arrayOfToolStripSeparator

          public static ToolStripSeparator[] arrayOfToolStripSeparator(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `ToolStripSeparator` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.toolbar.ToolStripSeparator[]

    - #### arrayOfStretchImgButton

          public static StretchImgButton[] arrayOfStretchImgButton(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `StretchImgButton` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.StretchImgButton[]

    - #### arrayOfHashAlgorithm

          public static HashAlgorithm[] arrayOfHashAlgorithm(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `HashAlgorithm` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.HashAlgorithm[]

    - #### arrayOfClickMaskMode

          public static ClickMaskMode[] arrayOfClickMaskMode(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `ClickMaskMode` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.ClickMaskMode[]

    - #### arrayOfLinePattern

          public static LinePattern[] arrayOfLinePattern(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `LinePattern` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.LinePattern[]

    - #### arrayOfMiniDateRangeItem

          public static MiniDateRangeItem[] arrayOfMiniDateRangeItem(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `MiniDateRangeItem` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.form.fields.MiniDateRangeItem[]

    - #### arrayOfUploadItem

          public static UploadItem[] arrayOfUploadItem(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `UploadItem` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.form.fields.UploadItem[]

    - #### arrayOfViewName

          public static ViewName[] arrayOfViewName(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `ViewName` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.ViewName[]

    - #### arrayOfRecordComponentPoolingMode

          public static RecordComponentPoolingMode[] arrayOfRecordComponentPoolingMode(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `RecordComponentPoolingMode` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.RecordComponentPoolingMode[]

    - #### arrayOfStateTask

          public static StateTask[] arrayOfStateTask(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `StateTask` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.util.workflow.StateTask[]

    - #### arrayOfLane

          public static Lane[] arrayOfLane(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `Lane` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.calendar.Lane[]

    - #### arrayOfRecordSummaryFunctionType

          public static RecordSummaryFunctionType[] arrayOfRecordSummaryFunctionType(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `RecordSummaryFunctionType` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.RecordSummaryFunctionType[]

    - #### arrayOfPositioning

          public static Positioning[] arrayOfPositioning(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `Positioning` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.Positioning[]

    - #### arrayOfToolStripGroup

          public static ToolStripGroup[] arrayOfToolStripGroup(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `ToolStripGroup` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.toolbar.ToolStripGroup[]

    - #### arrayOfNativeCheckboxItem

          public static NativeCheckboxItem[] arrayOfNativeCheckboxItem(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `NativeCheckboxItem` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.form.fields.NativeCheckboxItem[]

    - #### arrayOfIPickTreeItem

          public static IPickTreeItem[] arrayOfIPickTreeItem(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `IPickTreeItem` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.form.fields.IPickTreeItem[]

    - #### arrayOfSelectOtherItem

          public static SelectOtherItem[] arrayOfSelectOtherItem(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `SelectOtherItem` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.form.fields.SelectOtherItem[]

    - #### arrayOfPointShape

          public static PointShape[] arrayOfPointShape(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `PointShape` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.PointShape[]

    - #### arrayOfRegressionLineType

          public static RegressionLineType[] arrayOfRegressionLineType(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `RegressionLineType` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.RegressionLineType[]

    - #### arrayOfSortSpecifier

          public static SortSpecifier[] arrayOfSortSpecifier(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `SortSpecifier` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.data.SortSpecifier[]

    - #### arrayOfToolStripMenuButton

          public static ToolStripMenuButton[] arrayOfToolStripMenuButton(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `ToolStripMenuButton` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.toolbar.ToolStripMenuButton[]

    - #### arrayOfWSDataSource

          public static WSDataSource[] arrayOfWSDataSource(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `WSDataSource` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.data.WSDataSource[]

    - #### arrayOfGradient

          public static Gradient[] arrayOfGradient(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `Gradient` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.drawing.Gradient[]

    - #### arrayOfDialogButtons

          public static DialogButtons[] arrayOfDialogButtons(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `DialogButtons` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.DialogButtons[]

    - #### arrayOfRichTextEditor

          public static RichTextEditor[] arrayOfRichTextEditor(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `RichTextEditor` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.RichTextEditor[]

    - #### arrayOfHiliteIconPosition

          public static HiliteIconPosition[] arrayOfHiliteIconPosition(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `HiliteIconPosition` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.HiliteIconPosition[]

    - #### arrayOfTab

          public static Tab[] arrayOfTab(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `Tab` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.tab.Tab[]

    - #### arrayOfCriterion

          public static Criterion[] arrayOfCriterion(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `Criterion` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.data.Criterion[]

    - #### arrayOfOperatorValueType

          public static OperatorValueType[] arrayOfOperatorValueType(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `OperatorValueType` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.OperatorValueType[]

    - #### arrayOfMultiFileItem

          public static MultiFileItem[] arrayOfMultiFileItem(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `MultiFileItem` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.form.fields.MultiFileItem[]

    - #### arrayOfChartType

          public static ChartType[] arrayOfChartType(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `ChartType` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.ChartType[]

    - #### arrayOfTreeGrid

          public static TreeGrid[] arrayOfTreeGrid(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `TreeGrid` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.tree.TreeGrid[]

    - #### arrayOfTabSet

          public static TabSet[] arrayOfTabSet(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `TabSet` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.tab.TabSet[]

    - #### arrayOfDateItem

          public static DateItem[] arrayOfDateItem(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `DateItem` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.form.fields.DateItem[]

    - #### arrayOfValidatorType

          public static ValidatorType[] arrayOfValidatorType(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `ValidatorType` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.ValidatorType[]

    - #### arrayOfShadow

          public static Shadow[] arrayOfShadow(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `Shadow` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.drawing.Shadow[]

    - #### arrayOfEventWindow

          public static EventWindow[] arrayOfEventWindow(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `EventWindow` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.calendar.EventWindow[]

    - #### arrayOfVLayout

          public static VLayout[] arrayOfVLayout(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `VLayout` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.layout.VLayout[]

    - #### arrayOfLayoutPolicy

          public static LayoutPolicy[] arrayOfLayoutPolicy(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `LayoutPolicy` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.LayoutPolicy[]

    - #### arrayOfDragAppearance

          public static DragAppearance[] arrayOfDragAppearance(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `DragAppearance` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.DragAppearance[]

    - #### arrayOfEnterKeyEditAction

          public static EnterKeyEditAction[] arrayOfEnterKeyEditAction(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `EnterKeyEditAction` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.EnterKeyEditAction[]

    - #### arrayOfFormItemType

          public static FormItemType[] arrayOfFormItemType(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `FormItemType` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.FormItemType[]

    - #### arrayOfStretchItem

          public static StretchItem[] arrayOfStretchItem(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `StretchItem` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.StretchItem[]

    - #### arrayOfGroupStartOpen

          public static GroupStartOpen[] arrayOfGroupStartOpen(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `GroupStartOpen` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.GroupStartOpen[]

    - #### arrayOfTableMode

          public static TableMode[] arrayOfTableMode(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `TableMode` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.TableMode[]

    - #### arrayOfSpinnerItem

          public static SpinnerItem[] arrayOfSpinnerItem(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `SpinnerItem` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.form.fields.SpinnerItem[]

    - #### arrayOfLocatorTypeStrategy

          public static LocatorTypeStrategy[] arrayOfLocatorTypeStrategy(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `LocatorTypeStrategy` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.LocatorTypeStrategy[]

    - #### arrayOfRPCResponse

          public static RPCResponse[] arrayOfRPCResponse(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `RPCResponse` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.rpc.RPCResponse[]

    - #### arrayOfDynamicForm

          public static DynamicForm[] arrayOfDynamicForm(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `DynamicForm` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.form.DynamicForm[]

    - #### arrayOfButtonItem

          public static ButtonItem[] arrayOfButtonItem(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `ButtonItem` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.form.fields.ButtonItem[]

    - #### arrayOfMenu

          public static Menu[] arrayOfMenu(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `Menu` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.menu.Menu[]

    - #### arrayOfDrawItem

          public static DrawItem[] arrayOfDrawItem(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `DrawItem` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.drawing.DrawItem[]

    - #### arrayOfMenuButton

          public static MenuButton[] arrayOfMenuButton(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `MenuButton` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.menu.MenuButton[]

    - #### arrayOfBrowserPlugin

          public static BrowserPlugin[] arrayOfBrowserPlugin(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `BrowserPlugin` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.plugins.BrowserPlugin[]

    - #### arrayOfHTMLPane

          public static HTMLPane[] arrayOfHTMLPane(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `HTMLPane` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.HTMLPane[]

    - #### arrayOfDateItemSelectorFormat

          public static DateItemSelectorFormat[] arrayOfDateItemSelectorFormat(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `DateItemSelectorFormat` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.DateItemSelectorFormat[]

    - #### arrayOfAutoSelectionModel

          public static AutoSelectionModel[] arrayOfAutoSelectionModel(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `AutoSelectionModel` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.AutoSelectionModel[]

    - #### arrayOfImg

          public static Img[] arrayOfImg(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `Img` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.Img[]

    - #### arrayOfTabBar

          public static TabBar[] arrayOfTabBar(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `TabBar` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.tab.TabBar[]

    - #### arrayOfCharacterCasing

          public static CharacterCasing[] arrayOfCharacterCasing(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `CharacterCasing` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.CharacterCasing[]

    - #### arrayOfJSONCircularReferenceMode

          public static JSONCircularReferenceMode[] arrayOfJSONCircularReferenceMode(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `JSONCircularReferenceMode` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.JSONCircularReferenceMode[]

    - #### arrayOfDialog

          public static Dialog[] arrayOfDialog(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `Dialog` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.Dialog[]

    - #### arrayOfFormItem

          public static FormItem[] arrayOfFormItem(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `FormItem` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.form.fields.FormItem[]

    - #### arrayOfVerticalAlignment

          public static VerticalAlignment[] arrayOfVerticalAlignment(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `VerticalAlignment` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.VerticalAlignment[]

    - #### arrayOfResetItem

          public static ResetItem[] arrayOfResetItem(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `ResetItem` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.form.fields.ResetItem[]

    - #### arrayOfKnobType

          public static KnobType[] arrayOfKnobType(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `KnobType` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.KnobType[]

    - #### arrayOfRestDataSource

          public static RestDataSource[] arrayOfRestDataSource(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `RestDataSource` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.data.RestDataSource[]

    - #### arrayOfTreeModelType

          public static TreeModelType[] arrayOfTreeModelType(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `TreeModelType` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.TreeModelType[]

    - #### arrayOfTimeline

          public static Timeline[] arrayOfTimeline(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `Timeline` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.calendar.Timeline[]

    - #### arrayOfGroupSummary

          public static GroupSummary[] arrayOfGroupSummary(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `GroupSummary` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.grid.GroupSummary[]

    - #### arrayOfDrawTriangle

          public static DrawTriangle[] arrayOfDrawTriangle(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `DrawTriangle` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.drawing.DrawTriangle[]

    - #### arrayOfDataSourceField

          public static DataSourceField[] arrayOfDataSourceField(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `DataSourceField` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.data.DataSourceField[]

    - #### arrayOfDirection

          public static Direction[] arrayOfDirection(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `Direction` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.Direction[]

    - #### arrayOfEscapingMode

          public static EscapingMode[] arrayOfEscapingMode(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `EscapingMode` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.EscapingMode[]

    - #### arrayOfValueItemType

          public static ValueItemType[] arrayOfValueItemType(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `ValueItemType` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.ValueItemType[]

    - #### arrayOfTextImportSettings

          public static TextImportSettings[] arrayOfTextImportSettings(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `TextImportSettings` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.data.TextImportSettings[]

    - #### arrayOfCheckboxItem

          public static CheckboxItem[] arrayOfCheckboxItem(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `CheckboxItem` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.form.fields.CheckboxItem[]

    - #### arrayOfExportFormat

          public static ExportFormat[] arrayOfExportFormat(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `ExportFormat` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.ExportFormat[]

    - #### arrayOfRichTextItem

          public static RichTextItem[] arrayOfRichTextItem(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `RichTextItem` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.form.fields.RichTextItem[]

    - #### arrayOfPrintCanvas

          public static PrintCanvas[] arrayOfPrintCanvas(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `PrintCanvas` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.PrintCanvas[]

    - #### arrayOfPageOrientation

          public static PageOrientation[] arrayOfPageOrientation(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `PageOrientation` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.PageOrientation[]

    - #### arrayOfLayout

          public static Layout[] arrayOfLayout(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `Layout` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.layout.Layout[]

    - #### arrayOfTextAreaWrap

          public static TextAreaWrap[] arrayOfTextAreaWrap(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `TextAreaWrap` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.TextAreaWrap[]

    - #### arrayOfSearchForm

          public static SearchForm[] arrayOfSearchForm(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `SearchForm` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.form.SearchForm[]

    - #### arrayOfSelectionAppearance

          public static SelectionAppearance[] arrayOfSelectionAppearance(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `SelectionAppearance` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.SelectionAppearance[]

    - #### arrayOfRPCRequest

          public static RPCRequest[] arrayOfRPCRequest(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `RPCRequest` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.rpc.RPCRequest[]

    - #### arrayOfListGridField

          public static ListGridField[] arrayOfListGridField(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `ListGridField` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.grid.ListGridField[]

    - #### arrayOfDSInheritanceMode

          public static DSInheritanceMode[] arrayOfDSInheritanceMode(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `DSInheritanceMode` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.DSInheritanceMode[]

    - #### arrayOfMenuItem

          public static MenuItem[] arrayOfMenuItem(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `MenuItem` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.menu.MenuItem[]

    - #### arrayOfSelectionNotificationType

          public static SelectionNotificationType[] arrayOfSelectionNotificationType(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `SelectionNotificationType` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.SelectionNotificationType[]

    - #### arrayOfDSOperationType

          public static DSOperationType[] arrayOfDSOperationType(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `DSOperationType` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.DSOperationType[]

    - #### arrayOfAnimationAcceleration

          public static AnimationAcceleration[] arrayOfAnimationAcceleration(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `AnimationAcceleration` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.AnimationAcceleration[]

    - #### arrayOfPartialCommitOption

          public static PartialCommitOption[] arrayOfPartialCommitOption(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `PartialCommitOption` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.PartialCommitOption[]

    - #### arrayOfProcessElement

          public static ProcessElement[] arrayOfProcessElement(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `ProcessElement` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.util.workflow.ProcessElement[]

    - #### arrayOfVStack

          public static VStack[] arrayOfVStack(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `VStack` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.layout.VStack[]

    - #### arrayOfHiliteEditor

          public static HiliteEditor[] arrayOfHiliteEditor(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `HiliteEditor` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.grid.HiliteEditor[]

    - #### arrayOfFiscalCalendar

          public static FiscalCalendar[] arrayOfFiscalCalendar(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `FiscalCalendar` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.FiscalCalendar[]

    - #### arrayOfEscapeKeyEditAction

          public static EscapeKeyEditAction[] arrayOfEscapeKeyEditAction(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `EscapeKeyEditAction` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.EscapeKeyEditAction[]

    - #### arrayOfSliderItem

          public static SliderItem[] arrayOfSliderItem(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `SliderItem` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.form.fields.SliderItem[]

    - #### arrayOfUserSummary

          public static UserSummary[] arrayOfUserSummary(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `UserSummary` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.UserSummary[]

    - #### arrayOfFiscalYear

          public static FiscalYear[] arrayOfFiscalYear(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `FiscalYear` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.FiscalYear[]

    - #### arrayOfRowEndEditAction

          public static RowEndEditAction[] arrayOfRowEndEditAction(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `RowEndEditAction` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.RowEndEditAction[]

    - #### arrayOfStretchImg

          public static StretchImg[] arrayOfStretchImg(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `StretchImg` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.StretchImg[]

    - #### arrayOfSectionStack

          public static SectionStack[] arrayOfSectionStack(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `SectionStack` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.layout.SectionStack[]

    - #### arrayOfDrawBlockConnector

          public static DrawBlockConnector[] arrayOfDrawBlockConnector(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `DrawBlockConnector` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.drawing.DrawBlockConnector[]

    - #### arrayOfFieldPickerWindow

          public static FieldPickerWindow[] arrayOfFieldPickerWindow(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `FieldPickerWindow` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.FieldPickerWindow[]

    - #### arrayOfImgSectionHeader

          public static ImgSectionHeader[] arrayOfImgSectionHeader(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `ImgSectionHeader` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.layout.ImgSectionHeader[]

    - #### arrayOfCursor

          public static Cursor[] arrayOfCursor(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `Cursor` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.Cursor[]

    - #### arrayOfAlignment

          public static Alignment[] arrayOfAlignment(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `Alignment` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.Alignment[]

    - #### arrayOfCriteria

          public static Criteria[] arrayOfCriteria(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `Criteria` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.data.Criteria[]

    - #### arrayOfRadioGroupItem

          public static RadioGroupItem[] arrayOfRadioGroupItem(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `RadioGroupItem` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.form.fields.RadioGroupItem[]

    - #### arrayOfMultipleAppearance

          public static MultipleAppearance[] arrayOfMultipleAppearance(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `MultipleAppearance` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.MultipleAppearance[]

    - #### arrayOfIMenuButton

          public static IMenuButton[] arrayOfIMenuButton(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `IMenuButton` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.menu.IMenuButton[]

    - #### arrayOfIButton

          public static IButton[] arrayOfIButton(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `IButton` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.IButton[]

    - #### arrayOfTextAreaItem

          public static TextAreaItem[] arrayOfTextAreaItem(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `TextAreaItem` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.form.fields.TextAreaItem[]